<?xml version="1.0" encoding="utf-8" standalone="no" ?>
<modDesc descVersion="4">
    <author>LS-UK Modteam</author>
    <version>1</version>
	<title>
       <en>McHale F550 Round Baler</en>
       <de>McHale F550 Rundballen Presse</de>
    </title>
	<description>
      <en>?</en>
      <de>?</de>
    </description>
	<iconFilename>store.png</iconFilename>
	<multiplayer supported="true"/>
	
	<l10n>
		 <text name="FIELD">
            <en>Lower Pickup</en>
            <de>Pickup Senken</de>
        </text>
		 <text name="TRANSPORT">
            <en>Raise Pickup</en>
            <de>Pickup Heben</de>
        </text>
		 <text name="HUD_ON">
            <en>Counter On</en>
            <de>Zähler Auf</de>
        </text>
		 <text name="HUD_OFF">
            <en>Counter Off</en>
            <de>Zähler Ab</de>
        </text>
		 <text name="MCHALEHUD">
            <en>Toggle McHale F550 Menu</en>
            <de>Toggle McHale F550 Menu</de>
        </text>
		<text name="ATTACHPTO">
            <en>Attach/Detach PTO</en>
            <de>Zapfwelle Befestigen/Trennen</de>
	</text>
		<text name="turnON_Error">
            <en>PTO needs to be attached before the baler can be turned On.</en>
            <de>Zapfwelle muss befestigt sein, bevor die Presse eingeschaltet werden kann.</de>
	</text>
		<text name="IMPLEMENTHUD">
            <en>Turn On McHale Counter</en>
            <de>Turn On McHale Zähler</de>
        </text>	
		<text name="IMPLEMENTHUDOFF">
            <en>Turn Off McHale Counter</en>
            <de>Turn Off McHale Zähler</de>
        </text>	
    </l10n>	
	
	<extraSourceFiles>
		<sourceFile filename="scripts/BalerEvents.lua" />
		<sourceFile filename="scripts/SetTransRotEvent.lua" />
		<sourceFile filename="scripts/PickupWheelEvent.lua" />
    </extraSourceFiles>
	
	<specializations>
		<specialization name="powerShaft" className="PowerShaft" filename="scripts/Powershaft_attachable.lua" />
		<specialization name="McHale_F550" className="McHale_F550" filename="scripts/McHale_F550.lua" />
		<specialization name="BaleCounter" className="BaleCounter" filename="scripts/McHale_BaleCounter.lua" />
	</specializations>
	
    <vehicleTypes>
        <type name="f550baler" className="Vehicle" filename="$dataS/scripts/vehicles/Vehicle.lua">
            <specialization name="attachable" />
            <specialization name="attachable"/>
            <specialization name="animatedVehicle"/>
            <specialization name="cylindered"/>
            <specialization name="fillable"/>
			<specialization name="powerShaft"/>
			<specialization name="McHale_F550"/>
			<specialization name="BaleCounter" />
        </type>
    </vehicleTypes>

    <storeItems>
        <storeItem>
            <en>
                <name>McHale F550 Round Baler</name>
                <description>
<![CDATA[By the LS-UK Modteam
(alwyn, henly20, nishma, peterj, rh, sam123)

www.ls-uk.info/modteam]]>
                </description>
            </en>
            <de>
                <name>McHale F550 Rundballen Presse</name>
                <description>
<![CDATA[By the LS-UK Modteam
(alwyn, henly20, nishma, peterj, rh, sam123)

www.ls-uk.info/modteam]]>
                </description>
            </de>
            <rotation>0</rotation>
            <image active="store.png"/>
            <price>10000</price>
            <xmlFilename>McHale_F550.xml</xmlFilename>
        </storeItem>
    </storeItems>
	
	<inputBindings>
		<input name="IMPLEMENTHUD"  category="VEHICLE" key1="KEY_delete" key2="" button="" device="" mouse="" />			
	</inputBindings>
	
</modDesc>
